\documentclass{standalone}
\usepackage{pgf,tikz,pgfplots}
\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.25,-0.25) rectangle (2.25,2.25);
\draw [line width=1.5pt] (0,2)-- (0,0);
\draw [line width=1.5pt] (2,0)-- (2,2);
\draw [line width=1.5pt] (2,2)-- (0,2);
\draw [line width=1.5pt] (2,0)-- (0,0);
\draw [fill=black] (0,0) circle (2.5pt);
\draw [fill=black] (1,0) circle (2.5pt);
\draw [fill=black] (2,0) circle (2.5pt);
\draw [fill=black] (2,1) circle (2.5pt);
\draw [fill=black] (1,1) circle (2.5pt);
\draw [fill=black] (0,1) circle (2.5pt);
\draw [fill=black] (0,2) circle (2.5pt);
\draw [fill=black] (1,2) circle (2.5pt);
\draw [fill=black] (2,2) circle (2.5pt);
\end{tikzpicture}
\end{document}